from flask import Blueprint, jsonify
from flask_cors import CORS

from stumpf.diva_fact_schemas import ActivityFact, ActivityFactSchema

activity_schema = ActivityFactSchema()

grozper_bp = Blueprint('grozper', __name__)
CORS(grozper_bp)


@grozper_bp.route('/grozper/activity/<uuid:activity_id>', methods=['GET'])
def get_activity_group(activity_id):
    activity = ActivityFact.query.get_or_404(activity_id)
    return jsonify(activity_schema.dump(activity))
